gnutls_x509_privkey_generate(3)

NAME
gnutls_x509_privkey_generate - This function will generate a private key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_generate(gnutls_x509_privkey_t key, gnutls_pk_algorithm_t algo, unsigned int bits, unsigned int flags);

ARGUMENTS

gnutls_x509_privkey_t key
    should contain a gnutls_x509_privkey_t structure

gnutls_pk_algorithm_t algo
    is one of RSA or DSA.

unsigned int bits
    the size of the modulus

unsigned int flags
    unused for now. Must be 0.

DESCRIPTION
This function will generate a random private key. Note that this function must be called on an empty private key. Returns 0 on success or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.